std::__cxx11::collate_byname< _CharT > Class Template Reference

`#include <locale_classes.h>`

## Public Types

typedef _CharT | char_type
typedef basic_string< _CharT > | string_type

## Public Member Functions

| collate_byname (const char *__s, size_t __refs=0)
| collate_byname (const string &__s, size_t __refs=0)
int | _M_compare (const char *, const char *) const throw()
int | _M_compare (const wchar_t *, const wchar_t *) const throw()
size_t | _M_transform (char *, const char *, size_t) const throw()
size_t | _M_transform (wchar_t *, const wchar_t *, size_t) const throw()

## Detailed Description

template<typename _CharT>
class std::__cxx11::collate_byname< _CharT >

class collate_byname [22.2.4.2].

Definition at line 853 of file locale_classes.h.

## Member Typedef Documentation

## char_type

template<typename _CharT>

typedef _CharT std::__cxx11::collate_byname< _CharT >::char_type

Public typedefs.

Definition at line 858 of file locale_classes.h.

## string_type

template<typename _CharT>

typedef basic_string<_CharT> std::__cxx11::collate_byname< _CharT >::string_type

Public typedefs.

Definition at line 859 of file locale_classes.h.

## Constructor & Destructor Documentation

## collate_byname() [1/2]

template<typename _CharT>

std::__cxx11::collate_byname< _CharT >::collate_byname | ( | const char * | __s,
|  | size_t | __refs = 0 )

inline explicit

Definition at line 863 of file locale_classes.h.

## collate_byname() [2/2]

template<typename _CharT>

std::__cxx11::collate_byname< _CharT >::collate_byname | ( | const string & | __s,
|  | size_t | __refs = 0 )

inline explicit

Definition at line 876 of file locale_classes.h.

## ~collate_byname()

template<typename _CharT>

virtual std::__cxx11::collate_byname< _CharT >::~collate_byname | ( |  | ) |

inline protected virtual

Definition at line 882 of file locale_classes.h.

The documentation for this class was generated from the following file:

- locale_classes.h